<?php

namespace Drupal\custom_main\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\custom_main\Form\ExampleForm;

/**
 * Provides an example block.
 *
 * @Block(
 *   id = "example_block",
 *   admin_label = @Translation("Example block with form"),
 *   category = @Translation("Custom")
 * )
 */
class ExampleBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    return [
      'form' => \Drupal::formBuilder()->getForm(ExampleForm::class)
    ];
  }

}
